        // exec cases for real numbers
        case 110:
          MUnaryPredicate(M1P_REALP);
          break;
        case 111:
          MUnaryOp(M1_MY_FLOOR);
          break;
        case 112:
          MUnaryOp(M1_MY_CEILING);
          break;
        case 113:
          MUnaryOp(M1_MY_TRUNCATE);
          break;
        case 114:
          MUnaryOp(M1_MY_ROUND);
          break;
        case 115:
          MUnaryOp(M1_MY_EXACT_TO_INEXACT);
          break;
        case 116:
          MUnaryOp(M1_MY_INEXACT_TO_EXACT);
          break;

